Geo::GDAL::FFI::Feature(3pm)

NAME
Geo::GDAL::FFI::Feature - A GDAL vector feature

SYNOPSIS

DESCRIPTION

METHODS

  new
 my $feature = Geo::GDAL::FFI::Feature->new($defn);

Create a new Feature object. The argument is a FeatureDefn object, which you can get from a Layer object (Defn method), another Feature object (Defn method), or by explicitly creating a new FeatureDefn object.

  GetDefn
Returns the FeatureDefn object for this Feature.

  GetFID

  SetFID

  Clone

  Equals
 my $equals = $feature1->Equals($feature2);

  SetField
 $feature->SetField($fname, ...);

Set the value of field $fname. If no arguments after the name is given, the field is unset. If the arguments after the name is undefined, sets the field to NULL. Otherwise sets the field according to the field type.

  GetField
 my $value = $feature->GetField($fname);

  SetGeomField
 $feature->SetField($fname, $geom);

$fname is optional and by default the first geometry field.

  GetGeomField
 my $geom = $feature->GetGeomField($fname);

$fname is optional and by default the first geometry field.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>